# P_timeval Class Reference

`#include <socket.h>`

List of all members.

## Public Member Functions

| P_timeval ()
| P_timeval (const PTimeInterval &time)
P_timeval & | operator= (const PTimeInterval &time)
| operator timeval * ()
timeval * | operator-> ()
timeval & | operator * ()

## Constructor & Destructor Documentation

P_timeval::P_timeval | ( |  | ) |

P_timeval::P_timeval | ( | const PTimeInterval & | time | ) | `[inline]`

## Member Function Documentation

timeval& P_timeval::operator * | ( |  | ) | `[inline]`

P_timeval::operator timeval * | ( |  | ) | `[inline]`

timeval* P_timeval::operator-> | ( |  | ) | `[inline]`

P_timeval& P_timeval::operator= | ( | const PTimeInterval & | time | ) |

The documentation for this class was generated from the following file:

- socket.h